Summary: 	A program for benchmarking hard drives and filesystems
Name: 		bonnie++
Version: 	1.02c
Release: 	2
Copyright: 	GPL
Group: 		Utilities/Benchmarking
URL: 		http://www.coker.com.au/bonnie++
Source: 	http://www.coker.com.au/bonnie++/bonnie++-%{version}.tgz 
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%(id -u -n)
Prefixes: 	%{_prefix} %{_datadir}
Requires: 	glibc >= 2.1
Requires: 	perl >= 5.0
BuildRequires: 	glibc-devel >= 2.1

%description
Bonnie++ is a benchmark suite that is aimed at performing a number of simple
tests of hard drive and file system performance.

%prep
%setup -q

%build
./configure --prefix=$RPM_BUILD_ROOT%{_prefix} --mandir=$RPM_BUILD_ROOT%{_mandir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changelog.txt readme.html

%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/*
%attr(644,root,root) %{_mandir}/man1/*
%attr(644,root,root) %{_mandir}/man8/*

%changelog
* Mon Jul 01 2002 Riku Meskanen <mesrik@cc.jyu.fi>
- package failed to build under Red Hat 7.3, thus minor formatting, 
  some safety checks and buildroot to use  all macros
- edited packaking macros to, added %attr() and the real problem
  was that man pages are compressed now, the wildcards work however
  better in future than trying to quess what compression extension 
  will be used from here to eternity, cheers.

* Wed Sep 06 2000 Rob Latham <rlatham@plogic.com>
- first packaging
